Delete a theme asset
Permanently deletes an asset from the theme. The store:delete_theme_asset
link is present on each asset entity.
DELETE
/themes/{theme_id}/assets/{id}Authorization
AuthorizationBearer token (JWT) · headerrequiredPath parameters
theme_idstringrequiredTheme ID
idstringrequiredAsset ID
Responses
204Asset deleted
401Unauthorized
403Access denied
404Asset not found
Request
curl -X DELETE "https://api.onbolder.com/v2/themes/abc123/assets/a1" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://api.onbolder.com/v2/themes/abc123/assets/a1", {
method: "DELETE",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.delete(
"https://api.onbolder.com/v2/themes/abc123/assets/a1",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
Asset deleted
Unauthorized
Access denied
Asset not found